| darcs-2.4.3: a distributed, interactive, smart revision control system | Source code | Contents | Index
Darcs.Commands
Documentation
data CommandControl | Source
Constructors
CommandData DarcsCommand |
HiddenCommand DarcsCommand |
GroupName String |
data DarcsCommand | Source
Constructors
DarcsCommand |
commandName :: String |
commandHelp :: String |
commandDescription :: String |
commandExtraArgs :: Int |
commandExtraArgHelp :: [String] |
commandCommand :: [DarcsFlag] -> [String] -> IO () |
commandPrereq :: [DarcsFlag] -> IO (Either String ()) |
commandGetArgPossibilities :: IO [String] |
commandArgdefaults :: [DarcsFlag] -> AbsolutePath -> [String] -> IO [String] |
commandBasicOptions :: [DarcsOption] |
commandAdvancedOptions :: [DarcsOption] |
SuperCommand |
commandName :: String |
commandHelp :: String |
commandDescription :: String |
commandPrereq :: [DarcsFlag] -> IO (Either String ()) |
commandSubCommands :: [CommandControl] |
commandAlias :: String -> Maybe DarcsCommand -> DarcsCommand -> DarcsCommand | Source
commandStub :: String -> String -> String -> DarcsCommand -> DarcsCommand | Source
commandOptions :: AbsolutePath -> DarcsCommand -> ([OptDescr DarcsFlag], [OptDescr DarcsFlag]) | Source
commandAlloptions :: DarcsCommand -> ([DarcsOption], [DarcsOption]) | Source
disambiguateCommands :: [CommandControl] -> String -> [String] -> Either String (CommandArgs, [String]) | Source
data CommandArgs | Source
Constructors
CommandOnly DarcsCommand |
SuperCommandOnly DarcsCommand |
SuperCommandSub DarcsCommand DarcsCommand |
getCommandHelp :: Maybe DarcsCommand -> DarcsCommand -> String | Source
getCommandMiniHelp :: Maybe DarcsCommand -> DarcsCommand -> String | Source
getSubcommands :: DarcsCommand -> [CommandControl] | Source
usage :: [CommandControl] -> String | Source
subusage :: DarcsCommand -> String | Source
chompNewline :: String -> String | Source
extractCommands :: [CommandControl] -> [DarcsCommand] | Source
superName :: Maybe DarcsCommand -> String | Source
nodefaults :: [DarcsFlag] -> AbsolutePath -> [String] -> IO [String] | Source
putInfo :: [DarcsFlag] -> Doc -> IO () | Source
putVerbose :: [DarcsFlag] -> Doc -> IO () | Source
putWarning :: [DarcsFlag] -> Doc -> IO () | Source
abortRun :: [DarcsFlag] -> Doc -> IO () | Source
Produced by Haddock version 2.4.2